Index: tmp/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java	(revision 2279)
+++ tmp/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java	(revision 2280)
@@ -6,6 +6,7 @@
 
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IProgressMonitor;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.objects.Project;
 import org.txm.objects.Text;
 import org.txm.utils.DeleteDir;
@@ -103,7 +104,7 @@
 		binaryDirectory.mkdirs(); // ensure output exists
 		//System.out.println("ImportModule.start");
 		if (!updateCorpus) { // create XML-TXM files and annotate
-			//System.out.println("ImportModule.start: not updating");
+			System.out.println(TXMCoreMessages.creatingCorpus);
 			if (importer != null) {
 				//System.out.println("ImportModule.start: importer: "+importer);
 				if (monitor != null) monitor.subTask("-- IMPORTER - Reading source files");
@@ -152,12 +153,11 @@
 				//System.out.println("XML-TXM files already annotated.");
 			}
 		} else {
-			System.out.println("Updating corpus...");
+			System.out.println(TXMCoreMessages.updatingCorpus);
 			// fixing Text XML-TXM configurations
 			for (Text text : project.getTexts()) {
 				File f = text.getXMLTXMFile();
 				if (f == null || !f.exists()) {
-					
 					f = new File(project.getProjectDirectory(), "txm/"+project.getName()+"/"+text.getName()+".xml");
 					text.setTXMFile(f);
 				}
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 2279)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 2280)
@@ -16,6 +16,11 @@
 catalogFileNotFoundP0 = ** Catalog file {0} not found.
 
 checkingBinaryFormat = Checking binary corpus format...
+
+corpusImportDoneInP0=Import done in {0}.
+corpusUpdateDoneInP0=Update done in {0}.
+creatingCorpus                      = Importing corpus...
+updatingcorpus                      = Updating corpus...
 
 common_P0ItemsForP1Occurrences   = {0} item(s) for {1} occurrence(s).
 common_P0Occurrences             = {0} occurrence(s).
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2279)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2280)
@@ -57,8 +57,9 @@
 
 	public static String P0BuiltParts;
 	
+	public static String corpusImportDoneInP0;
+	public static String corpusUpdateDoneInP0;
 	
-	
 	public static String ToolboxStatesWorkspaceColonP0; 
 	public static String binaryDirectoryP0NotFound; 
 	public static String cQiClientNotInitialized; 
@@ -174,7 +175,10 @@
 
 	public static String initializingToolbox;
 
-	public static String fminP0fmaxP1tP2vP3; 
+	public static String fminP0fmaxP1tP2vP3;
+
+	public static String creatingCorpus;
+	public static String updatingCorpus; 
 	
 	/**
 	 * Binds the given message's substitution locations with the given string values.
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 2279)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 2280)
@@ -46,6 +46,11 @@
 common_units                     = Unités
 common_vMax                      = Vmax
 common_warning                   = Avertissement
+
+corpusImportDone                      = Import terminé en {0}.
+corpusUpdateDone                      = Mise à jour terminée en {0}.
+creatingCorpus                      = Import du corpus...
+updatingcorpus                      = Mise à jour du corpus...
 
 computingColon = Calcul: 
 
Index: tmp/org.txm.core/src/java/org/txm/utils/ConsoleProgressBar.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/utils/ConsoleProgressBar.java	(revision 2279)
+++ tmp/org.txm.core/src/java/org/txm/utils/ConsoleProgressBar.java	(revision 2280)
@@ -10,12 +10,15 @@
 	int point_progress = 0;
 	boolean done = false;
 	String mode = "%%% ";
+	int percent = 1;
+	
 	public ConsoleProgressBar(long amount) {
 		start(amount);
 	}
 	
 	public void start(long amount) {
 		progress = 0.0d;
+		percent = 1;
 		point_progress = 0;
 		done = false;
 		progress_per_tick = 100f / amount;
@@ -33,7 +36,10 @@
 		progress += progress_per_tick;
 		while (progress > point_progress) {
 			point_progress++;
-			if (point_progress%LINE_PROGRESS == 0) System.out.print("|");
+			if (point_progress%LINE_PROGRESS == 0) {
+//				System.out.print("|");
+				System.out.print(percent++);
+			}
 			else System.out.print(".");
 			
 			if (point_progress == TOTAL_PROGRESS) {
@@ -44,7 +50,7 @@
 	}
 	
 	public static void main(String[] args) {
-		int[] amounts = {10,50,150,155,15000,150000};
+		int[] amounts = {10,42,150,155,15000,150000};
 		for (int amount : amounts) {
 			System.out.println(""+amount+" ticks");
 			ConsoleProgressBar cpb = new ConsoleProgressBar(amount);
